<template>
	<div class="home-container layout-pd">
		<el-row :gutter="20">
			<el-col :xs="24" :sm="24" :md="24" :lg="16" :xl="16">
        <!-- 统计 -->
        <numbers />
        <!-- 待办工作台 -->
				<to-do/>
			</el-col>
			<el-col :xs="24" :sm="24" :md="24" :lg="8" :xl="8">
        <!-- 常用入口 -->
        <entrance />
				<!-- 通知公告 -->
				<notice />
			</el-col>
		</el-row>
	</div>
</template>

<script lang="ts" setup name="home">
import { defineAsyncComponent, reactive} from 'vue';
import { useRouter } from 'vue-router';
// 引入组件
const Numbers = defineAsyncComponent(() => import('/@/views/home/component/Numbers.vue'));
const Entrance = defineAsyncComponent(() => import('/@/views/home/component/Entrance.vue'));
const ToDo = defineAsyncComponent(() => import('/@/views/home/component/ToDo.vue'));
const Notice = defineAsyncComponent(() => import('/@/views/home/component/Notice.vue'));
const router = useRouter();
const state = reactive({
	entranceList: <EmptyArrayType>[], // 常用入口
	noticeList: [], // 通知公告
	loading: false, //头部
	entranceLoading: false, //入口
	noticeLoading: false, // 公告
});
</script>
<style lang="scss" scoped>
</style>
